DIPlib Documentation - ©1995-2010 Quantitative Imaging Group, Delft University of Technology.

# FeatureCompositeFunction

Measurement feature #measure function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_FeatureCompositeFunction) ( measurement, featureID, objectID, composite, iterations )

## FUNCTION

The `composite` measure function is meant for measurement function that derive their measurements from the results of other measurement functions. The measurement functions this function is based on is obtained by calling the `compose` function (`FeatureComposeFunction`). The `composite` measure function obtains the results of these measurements through its `composite` function parameter. Use the regular measurement structure access method to read the values in this parameter (i.e. `MeasurementObjectValue`).

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_int` | `objectID` | ID of the object to be measured
`dip_Measurement` | `composite` | Measurement structure containing the measurement data this function is based on
`dip_int` | `iterations` | Number of iterations the `measure` function needs to scan the data

## SEE ALSO

`MeasurementFeatureRegister`, `FeatureLineFunction`, `FeatureImageFunction`, `FeatureChainCodeFunction`, `FeatureCreateFunction`, `FeatureComposeFunction`